Remove whowas command, duplicate of whois

RESOLVED FIXED in 1.2

Status

defect
--
minor
RESOLVED FIXED
6 years ago
6 years ago

People

(Reporter: clokep, Assigned: clokep)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

*** Original post on bio 1551 at 2012-06-26 23:43:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
Posted patch PatchSplinter Review
*** Original post on bio 1551 as attmnt 1708 at 2012-06-26 23:43:00 UTC ***

The whowas command does the exact same thing as whois, but blocks tab complete. We should remove it.
Attachment #8353466 - Flags: review?(bugzilla)
Comment on attachment 8353466 [details] [diff] [review]
Patch

*** Original change on bio 1551 attmnt 1708 at 2012-06-26 23:46:31 UTC ***

As you said, the help text for /whois should then mention that it will call whowas if appropriate.
Attachment #8353466 - Flags: review?(bugzilla) → review-
*** Original post on bio 1551 at 2012-06-27 00:46:56 UTC ***

(In reply to comment #1)
> Comment on attachment 8353466 [details] [diff] [review] (bio-attmnt 1708) [details]
> Patch
> 
> As you said, the help text for /whois should then mention that it will call
> whowas if appropriate.

I agree, but I couldn't really think of a better string, the current "Get information on a user." is pretty vague to start with. :)

If we can't come up with anything better, I'd like to check this in.
Comment on attachment 8353466 [details] [diff] [review]
Patch

*** Original change on bio 1551 attmnt 1708 at 2012-06-28 16:58:38 UTC ***

As discussed on IRC, everything more detailed is more confusing for little gain.
Attachment #8353466 - Flags: review- → review+
Whiteboard: [checkin-needed]
*** Original post on bio 1551 at 2012-06-28 17:12:50 UTC ***

https://hg.instantbird.org/instantbird/rev/7bab3908b1bd
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.2
You need to log in before you can comment on or make changes to this bug.